<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
      crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
      crossorigin="anonymous"></script>
  </head>
  <mat-toolbar class="pip">
    <mat-toolbar-row>
      <div class="d-flex flex-row justify-content-between col">
        <div class="d-flex align-items-center">
          <button (click)="sidenav.toggle()" (click)="test()" mat-icon-button class="example-icon"
            aria-label="Example icon-button with menu icon">
            <mat-icon>menu</mat-icon>
          </button>
          <div class="c-avatar"><img src="assets/img/logo.png" class="img-fluid" alt=""></div>
        </div>
        <div class="d-flex align-items-center">
          <button mat-icon-button class="example-icon mr-1" aria-label="Example icon-button with share icon">
            <mat-icon>notifications_none</mat-icon>
          </button>
          <button class="c-avatar " [matMenuTriggerFor]="beforeMenu"><img class="c-avatar-img"
              src="assets/img/avatar.png" alt="user@email.com"></button>
          <mat-menu #beforeMenu="matMenu" class="menuProf" xPosition="before">
            <li mat-menu-item>
              <mat-icon class="ml-1">account_circle</mat-icon>Profil
            </li>
            <li mat-menu-item (click)="authService.logout()">
              <mat-icon class="ml-1">power_settings_new</mat-icon>Logout
            </li>
          </mat-menu>
        </div>
      </div>
    </mat-toolbar-row>
  </mat-toolbar>
  <mat-sidenav-container class="example-container">
    <mat-sidenav #sidenav (MatDrawerToggleResult)='shouldRun' [mode]="'side'">
      <app-menu></app-menu>
    </mat-sidenav>
    <mat-sidenav-content>

      <body class="container-fluid">
        <router-outlet></router-outlet>
      </body>
    </mat-sidenav-content>
  </mat-sidenav-container>


</html>